Bug 200664 - Review Request: soundtouch - Audio Processing library for changing Tempo, Pitch and Playback
Review Request: soundtouch - Audio Processing library for changing Tempo, Pit...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-30 04:54 EDT by Hans de Goede
Modified: 2010-06-29 20:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 09:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Build log (2.76 KB, text/plain)
2006-07-30 18:47 EDT, Paul F. Johnson
no flags Details
Altered spec file (3.09 KB, text/plain)
2006-07-31 17:14 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Hans de Goede 2006-07-30 04:54:59 EDT
Spec URL: http://people.atrpms.net/~hdegoede/soundtouch.spec
SRPM URL: http://people.atrpms.net/~hdegoede/soundtouch-1.3.1-1.src.rpm
Description:
SoundTouch is a LGPL-licensed open-source audio processing library for
changing the Tempo, Pitch and Playback Rates of audio streams or 
files. The SoundTouch library is suited for application developers
writing sound processing tools that require tempo/pitch control
functionality, or just for playing around with the sound effects.

The SoundTouch library source kit includes an example utility
SoundStretch which allows processing .wav audio files from a
command-line interface.
Comment 1 Paul F. Johnson 2006-07-30 18:42:31 EDT
Unable to build in mock (x86) - see attachment

Builds fine outside of mock and rpmlint is clean (other no documentation warning
for the -devel package)
Comment 2 Paul F. Johnson 2006-07-30 18:47:11 EDT
Created attachment 133296 [details]
Build log
Comment 3 Hans de Goede 2006-07-31 01:58:41 EDT
Hmm, nasty it turns out that soundtouch uses symlinks to instead of copies of
some needed automake files. I've fixed this by adding a BR: automake

New version here:
Spec URL: http://people.atrpms.net/~hdegoede/soundtouch.spec
SRPM URL: http://people.atrpms.net/~hdegoede/soundtouch-1.3.1-2.src.rpm
Comment 4 Paul F. Johnson 2006-07-31 15:44:43 EDT
Still not building in mock

+sed -i 's|^hardcode_libdir_flag_spec.*|hardcode_libdir_flag_spec=""|g' libtool
sed: can't read libtool: No such file or directory
Comment 5 Hans de Goede 2006-07-31 15:47:06 EDT
HMM, could you try changing that BR: automake I added to BR: libtool and see if
it builds then. I don't mock because of my sucky internet access.
Comment 6 Paul F. Johnson 2006-07-31 17:14:49 EDT
Created attachment 133358 [details]
Altered spec file

Yep. Altering the BR fixed it.
Comment 7 Paul F. Johnson 2006-07-31 17:29:38 EDT
Review

Spec file : (based on my modifiction)

Good - consistant use of macros, upstream md5 is the same as the tarball, no
dupes in the BRs. rpmlint reports clean for all packages (does give no docs in
-devel, this can be ignored, not an error). rpm -qa --requires comes up clean
(nothing missing)

Needs work/Niggle
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name} - why is this going to /usr/doc
instead of %{_docdir}?

Question
sed -i 's|\r||' README.html COPYING.TXT - is this to remove the incorrect
termination of the files? I tend to use 's/\r//'

Comment 8 Hans de Goede 2006-08-01 00:57:45 EDT
(In reply to comment #7)
> Needs work/Niggle
> rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name} - why is this going to /usr/doc
> instead of %{_docdir}?
> 

This is what upstreams Makefile does, thats why its removed and then later added
under files with %doc.

> Question
> sed -i 's|\r||' README.html COPYING.TXT - is this to remove the incorrect
> termination of the files? I tend to use 's/\r//'
> 
Same thing you can use any special char after the s in sed not only / but also |
or ! or :, etc. This is handy when your search or replace string contains / for
example when search replacing file / dir paths using / after the s is a bad idea.
Comment 9 Paul F. Johnson 2006-08-01 06:42:30 EDT
Thanks. Can you upload a new srpm with the amended spec file so that it can
tested again?
Comment 10 Hans de Goede 2006-08-01 07:43:32 EDT
New version here (I used your attached spec verbatim):
Spec URL: http://people.atrpms.net/~hdegoede/soundtouch.spec
SRPM URL: http://people.atrpms.net/~hdegoede/soundtouch-1.3.1-3.src.rpm
Comment 11 Paul F. Johnson 2006-08-01 08:05:51 EDT
Thanks.

Good:

mock builds cleanly
rpmlint shows nothing of importance
software works
md5sums are the same
upstream version same
no dupes
no ownership problems

On the condition that you add pkgconfig to the R: on the devel package, I'm
happy for this to go in. This was discussed at the start of July on IRC (FESCo)

APPROVED
Comment 12 Hans de Goede 2006-08-02 09:11:09 EDT
Thanks! I've added the Requires: pkgconfig and imported soundtouch. After some
strugling building it due to ppc issues its now build too, closing.
Comment 13 David Timms 2010-06-29 08:09:55 EDT
Package Change Request
======================
Package Name: soundtouch
New Branches: EL-5 EL-6
Owners: dtimms

I would like to start supporting epel with audacity, and this is a requirement.
Comment 14 Kevin Fenzi 2010-06-29 20:57:43 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.